Get multiple projects

Required scope: projects:read

Returns the compact project records for some filtered set of projects. Use one or more of the parameters provided to filter the projects returned. Note: This endpoint may timeout for large domains. Try filtering by team! The team filter is deprecated. Please use GET /memberships with { member: team, resource_subtype: project_membership } to find projects shared with a team.

Query Params
integer
1 to 100

Results per page. The number of objects to return per page. The value must be between 1 and 100.

string

Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request.

string

The workspace or organization to filter projects on.

string
deprecated

Deprecated. The team to filter projects on. Please use GET /memberships with { member: team, resource_subtype: project_membership } instead.

boolean

Only return projects whose archived field takes on the value of this parameter.

opt_fields
array of strings

This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.

opt_fields
boolean

Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json